Debian Bug report logs - #562640
xterm(1) man page: replace /etc/wtmp by /var/log/wtmp

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Sat, 26 Dec 2009 18:06:05 UTC

Severity: minor

Tags: fixed-upstream

Found in version xterm/251-1

Fixed in version xterm/255-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Sat, 26 Dec 2009 18:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 26 Dec 2009 18:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Sat, 26 Dec 2009 19:05:06 +0100
Package: xterm
Version: 251-1
Severity: minor

The xterm man page says for the -ls option:

   Finally, -ls is not completely ignored,  because  xterm -ls -e
   does write a /etc/wtmp entry (if configured to do so), whereas
   xterm -e does not.

There's no such file /etc/wtmp on my machine. Perhaps it should be
/var/log/wtmp as listed in the FILES section? Or should it be utmp
(as the following mentions utmp only)?

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                     2.10.2-2       GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4.2      generic font configuration library
ii  libice6                   2:1.0.6-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand
ii  libutempter0              1.1.5-2        A privileged helper for utmp/wtmp 
ii  libx11-6                  2:1.3.2-1      X11 client-side library
ii  libxaw7                   2:1.0.7-1      X11 Athena Widget library
ii  libxft2                   2.1.14-1       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.5-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.7-1      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.5+1      X11 utilities

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Thu, 28 Jan 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 28 Jan 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 562640@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 562640@bugs.debian.org
Cc: 562640-submitter@bugs.debian.org
Subject: re: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Thu, 28 Jan 2010 04:45:20 -0500
[Message part 1 (text/plain, inline)]
This is addressed in #255

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Thu, 28 Jan 2010 09:48:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Thu, 28 Jan 2010 09:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Tue, 02 Mar 2010 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Mar 2010 13:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 562640@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: dickey@his.com, 562640-quiet@bugs.debian.org
Cc: 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Tue, 2 Mar 2010 14:24:14 +0100
[Message part 1 (text/plain, inline)]
Hi Thomas,

On Thu, Jan 28, 2010 at 04:45:20 -0500, Thomas Dickey wrote:

> This is addressed in #255
> 
I've just gotten around to checking 254 and 255 to update the debian
package (currently at 253), and the only xterm.man changes I see between
254 and 255 are:

@@ -1283,8 +1283,8 @@ You cannot set this to a value less than 64.
 .TP 8
 .B "ptyHandshake (\fPclass\fB PtyHandshake)
 If \*(``true\*('', \fIxterm\fP will perform handshaking during initialization
-to ensure that the parent and child processes update the \fButmp\fP
-and \fBstty\fP state.
+to ensure that the parent and child processes update the \fIutmp\fP
+and \fIstty\fP state.
 See also \fBwaitForMap\fP which waits for the pseudo-terminal's notion
 of the screen size,
 and \fBptySttySize\fP which resets the screen size after other terminal
@@ -5275,7 +5275,7 @@ Some shell initialization scripts may set a different locale.
 .TP 5
 XTERM_SHELL
 is set to the pathname of the program which is invoked.
-Usually that is a shell program, e.g., \fB/bin/sh\fP.
+Usually that is a shell program, e.g., \fI/bin/sh\fP.
 Since it is not necessarily a shell program however,
 it is distinct from \*(``SHELL\*(''.
 .TP 5

Did I miss something?

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#562640; Package xterm. (Tue, 02 Mar 2010 13:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 02 Mar 2010 13:27:12 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Tue, 02 Mar 2010 13:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Tue, 02 Mar 2010 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Mar 2010 21:51:02 GMT) Full text and rfc822 format available.

Message #33 received at 562640@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Tue, 2 Mar 2010 16:41:01 -0500 (EST)
On Tue, 2 Mar 2010, Julien Cristau wrote:

> Hi Thomas,
>
> On Thu, Jan 28, 2010 at 04:45:20 -0500, Thomas Dickey wrote:
>
>> This is addressed in #255
>>
> I've just gotten around to checking 254 and 255 to update the debian
> package (currently at 253), and the only xterm.man changes I see between
> 254 and 255 are:
>
> @@ -1283,8 +1283,8 @@ You cannot set this to a value less than 64.
> .TP 8
> .B "ptyHandshake (\fPclass\fB PtyHandshake)
> If \*(``true\*('', \fIxterm\fP will perform handshaking during initialization
> -to ensure that the parent and child processes update the \fButmp\fP
> -and \fBstty\fP state.
> +to ensure that the parent and child processes update the \fIutmp\fP
> +and \fIstty\fP state.
> See also \fBwaitForMap\fP which waits for the pseudo-terminal's notion
> of the screen size,
> and \fBptySttySize\fP which resets the screen size after other terminal
> @@ -5275,7 +5275,7 @@ Some shell initialization scripts may set a different locale.
> .TP 5
> XTERM_SHELL
> is set to the pathname of the program which is invoked.
> -Usually that is a shell program, e.g., \fB/bin/sh\fP.
> +Usually that is a shell program, e.g., \fI/bin/sh\fP.
> Since it is not necessarily a shell program however,
> it is distinct from \*(``SHELL\*(''.
> .TP 5
>
> Did I miss something?

I modified minstall.sh to update the manpage to use values that it derives 
from the current system.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Tue, 02 Mar 2010 21:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Wed, 03 Mar 2010 08:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Mar 2010 08:12:07 GMT) Full text and rfc822 format available.

Message #41 received at 562640@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Wed, 3 Mar 2010 09:09:53 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar  2, 2010 at 16:41:01 -0500, Thomas Dickey wrote:

> I modified minstall.sh to update the manpage to use values that it
> derives from the current system.
> 
Ah, thanks, so I did indeed miss something :)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Wed, 03 Mar 2010 08:12:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Wed, 03 Mar 2010 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Mar 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 562640@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Wed, 3 Mar 2010 04:06:30 -0500 (EST)
On Wed, 3 Mar 2010, Julien Cristau wrote:

> On Tue, Mar  2, 2010 at 16:41:01 -0500, Thomas Dickey wrote:
>
>> I modified minstall.sh to update the manpage to use values that it
>> derives from the current system.
>>
> Ah, thanks, so I did indeed miss something :)

no problem

(I haven't ignored the XkbBell bug, but am just busy on a change for 
vile...).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Wed, 03 Mar 2010 09:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Wed, 03 Mar 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Mar 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #57 received at 562640@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Dickey <dickey@his.com>, 562640-quiet@bugs.debian.org
Cc: 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Wed, 3 Mar 2010 14:55:13 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar  2, 2010 at 16:41:01 -0500, Thomas Dickey wrote:

> I modified minstall.sh to update the manpage to use values that it
> derives from the current system.
> 
Obviously I only notice this after uploading the updated package, but
minstall.sh doesn't look for utmp in /var/run, which is its location
according to the FHS (which Debian mostly follows):
http://pathname.com/fhs/pub/fhs-2.3.html#VARRUNRUNTIMEVARIABLEDATA

Could you add that path in the next release?

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 13:57:12 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 13:57:12 GMT) Full text and rfc822 format available.

Message #62 received at 562640-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 562640-close@bugs.debian.org
Subject: Bug#562640: fixed in xterm 255-1
Date: Wed, 03 Mar 2010 13:53:05 +0000
Source: xterm
Source-Version: 255-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_255-1.diff.gz
  to main/x/xterm/xterm_255-1.diff.gz
xterm_255-1.dsc
  to main/x/xterm/xterm_255-1.dsc
xterm_255-1_i386.deb
  to main/x/xterm/xterm_255-1_i386.deb
xterm_255.orig.tar.gz
  to main/x/xterm/xterm_255.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 03 Mar 2010 14:38:17 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 255-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 562640 565772
Changes: 
 xterm (255-1) unstable; urgency=low
 .
   * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
     good reason.  Thanks, Colin Watson!
   * Add build-dep on libxkbfile-dev for XkbBell(3).
   * Remove myself from Uploaders
   * New upstream release
     + correct logic used to switch to alternate screen using FIFO-lines
       configuration (closes: #565772)
     + improve manpage by checking for actual locations of utmp/wtmp files
       (closes: #562640)
   * Refresh patches 900_debian_xterm.diff, 901_xterm_manpage.diff,
     902_windowops.diff, 904_fontops.diff.
   * Bump Standards-Version to 3.8.4.
Checksums-Sha1: 
 f9d58abfd02ecb7c24ec5e8f67a93e0a10edd153 1932 xterm_255-1.dsc
 09bd7afe42afd14e36b5467bc2e8b6bdb86102e0 909928 xterm_255.orig.tar.gz
 92083ef4cedc308224bebfb2005db9d1cc73e660 72823 xterm_255-1.diff.gz
 b3f1e1ecc5b642fdba989e4e7eb1a944af8d9ee7 512246 xterm_255-1_i386.deb
Checksums-Sha256: 
 4880cf3d6e02b74391d0ba0b2ccd480dbc897c0d35e65c8c1b09d359bee91eb4 1932 xterm_255-1.dsc
 75d5eecd05093eef94dc0912f461bbcd7a706dedfefddc2998136a064c14284a 909928 xterm_255.orig.tar.gz
 921372025be4fa8fcf150e7c689775ec992d0c4e9e79d300bf6fe464c0192d15 72823 xterm_255-1.diff.gz
 fbe6e0bd1b1630cab0d4a835ab5793105cc93d2a6df4a115427edf95f292163e 512246 xterm_255-1_i386.deb
Files: 
 6e3a2d5efba67cb91c6338e64b4c8a06 1932 x11 optional xterm_255-1.dsc
 158c6b39ea8934a11e4376a3a9741252 909928 x11 optional xterm_255.orig.tar.gz
 a8b07c157a69f9e5ba0e78d91567cba9 72823 x11 optional xterm_255-1.diff.gz
 dcd512912d2534d1af563df0a723ad12 512246 x11 optional xterm_255-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLjma5AAoJEDEBgAUJBeQMFEUP/izNbAl9yJ/DSxcSanWdgpkl
Lk2ntBaxpQPpZy7LKDJscCDIUJ8gUkg2hJX+u0x5aJqX04zyYYHyXZ/66y865dOX
7nzmwz94CfKw8QpVg/btH62ZD4ILyakIiHH99mYRkv0ol3Fn7TFPbGA+JLDo4HvT
QhJV+OOzrhPYVJcZuMe8Cvg1ss7RsG93ff3LHyBNe3c1Ho4fqcCxj+Wp7GsHA01k
f42cntLm2R6t95+GZfqH+rKUJAXTOBgl8kCKsxFDXX39kHlh0W/EndU/fX21NlWj
c/xIbg+hCGmPy7tIYR8LoAtRDB+cWSa5sKb/tz+Ie9jKNYZoP6rjh7ghQmqD3FJd
spFxmTI9R0ea72udGSs3JC/raUnrYHF515OEKVtNPXLh8d8DOJ3ljwcizR71XHnN
BZg1nlV86QsGNaUdFgYF+vBursOQRlp33OquNg75hEgZcbV7bT+OxPnVLotKXXth
VDeCXqyyhHlZj/bzG1oNan/cBMkTqtR1k8khJmI+sf+nzJ+7Tx27QOTJLomSCYeE
Bq/WgKGLOJie74ZupbMXicWoUHPj9nYAxXxHL177F2/RvZm2Ck4tW8iTRIdktPmk
Akx3hMaDBol65THh+BWb8+jvTERALhjQA2VZA0GZEYZMECDrHG5E0BDijdK/RfCJ
YEaWOhJJBpkePHkbuE4a
=PPUs
-----END PGP SIGNATURE-----





Information stored :
Bug#562640; Package xterm. (Wed, 03 Mar 2010 13:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 03 Mar 2010 13:57:16 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Wed, 03 Mar 2010 13:57:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Wed, 03 Mar 2010 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Mar 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #75 received at 562640@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Thomas Dickey <dickey@his.com>, 562640-quiet@bugs.debian.org
Cc: 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Wed, 3 Mar 2010 15:18:58 +0100
[Message part 1 (text/plain, inline)]
On Wed, Mar  3, 2010 at 14:55:13 +0100, Julien Cristau wrote:

> On Tue, Mar  2, 2010 at 16:41:01 -0500, Thomas Dickey wrote:
> 
> > I modified minstall.sh to update the manpage to use values that it
> > derives from the current system.
> > 
> Obviously I only notice this after uploading the updated package, but
> minstall.sh doesn't look for utmp in /var/run, which is its location
> according to the FHS (which Debian mostly follows):
> http://pathname.com/fhs/pub/fhs-2.3.html#VARRUNRUNTIMEVARIABLEDATA
> 
> Could you add that path in the next release?
> 
Oh, and I don't quite understand why UTMP_NAME is set to utmp22 instead
of plain "utmp".

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#562640; Package xterm. (Wed, 03 Mar 2010 14:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 03 Mar 2010 14:21:11 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Wed, 03 Mar 2010 14:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Wed, 03 Mar 2010 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Mar 2010 22:06:03 GMT) Full text and rfc822 format available.

Message #88 received at 562640@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 562640-quiet@bugs.debian.org, 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Wed, 3 Mar 2010 17:04:46 -0500 (EST)
On Wed, 3 Mar 2010, Julien Cristau wrote:

> On Tue, Mar  2, 2010 at 16:41:01 -0500, Thomas Dickey wrote:
>
>> I modified minstall.sh to update the manpage to use values that it
>> derives from the current system.
>>
> Obviously I only notice this after uploading the updated package, but
> minstall.sh doesn't look for utmp in /var/run, which is its location
> according to the FHS (which Debian mostly follows):
> http://pathname.com/fhs/pub/fhs-2.3.html#VARRUNRUNTIMEVARIABLEDATA

okay (looks like I was more attentive to the Unix boxes on that patch)

>
> Could you add that path in the next release?

I'll put out a short patch fixing this, and incorporating the XkbBell
fix (thanks).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Wed, 03 Mar 2010 22:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#562640; Package xterm. (Wed, 03 Mar 2010 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Mar 2010 22:09:05 GMT) Full text and rfc822 format available.

Message #96 received at 562640@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 562640-quiet@bugs.debian.org, 562640@bugs.debian.org, 562640-submitter@bugs.debian.org
Subject: Re: Bug#562640: #562640 xterm(1) man page: replace /etc/wtmp by /var/log/wtmp
Date: Wed, 3 Mar 2010 17:05:55 -0500 (EST)
On Wed, 3 Mar 2010, Julien Cristau wrote:

> On Wed, Mar  3, 2010 at 14:55:13 +0100, Julien Cristau wrote:
>
>> On Tue, Mar  2, 2010 at 16:41:01 -0500, Thomas Dickey wrote:
>>
>>> I modified minstall.sh to update the manpage to use values that it
>>> derives from the current system.
>>>
>> Obviously I only notice this after uploading the updated package, but
>> minstall.sh doesn't look for utmp in /var/run, which is its location
>> according to the FHS (which Debian mostly follows):
>> http://pathname.com/fhs/pub/fhs-2.3.html#VARRUNRUNTIMEVARIABLEDATA
>>
>> Could you add that path in the next release?
>>
> Oh, and I don't quite understand why UTMP_NAME is set to utmp22 instead
> of plain "utmp".

:-(

A scripting error.  Will fix.

thanks

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#562640. (Wed, 03 Mar 2010 22:09:13 GMT) Full text and rfc822 format available.

Information stored :
Bug#562640; Package xterm. (Wed, 03 Mar 2010 22:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Wed, 03 Mar 2010 22:15:13 GMT) Full text and rfc822 format available.

Information stored :
Bug#562640; Package xterm. (Wed, 03 Mar 2010 22:15:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Wed, 03 Mar 2010 22:15:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:34:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:14:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.